org.apache.poi.xslf.usermodel

## Class XSLFBackground

- java.lang.Object
- - org.apache.poi.xslf.usermodel.XSLFShape
  - - org.apache.poi.xslf.usermodel.XSLFSimpleShape
    - - org.apache.poi.xslf.usermodel.XSLFBackground

- All Implemented Interfaces:
    IAdjustableShape, Background<XSLFShape,XSLFTextParagraph>, PlaceableShape<XSLFShape,XSLFTextParagraph>, Shape<XSLFShape,XSLFTextParagraph>, SimpleShape<XSLFShape,XSLFTextParagraph>

      public class XSLFBackground
      extends XSLFSimpleShape
      implements Background<XSLFShape,XSLFTextParagraph>

  Background shape

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.poi.xslf.usermodel.XSLFShape

      `XSLFShape.ReparseFactory<T extends org.apache.xmlbeans.XmlObject>`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.awt.geom.Rectangle2D` | `getAnchor()` Returns the anchor (the bounding box rectangle) of this shape.
    `protected org.openxmlformats.schemas.presentationml.x2006.main.CTBackgroundProperties` | `getBgPr(boolean create)`
    `protected org.apache.xmlbeans.XmlObject` | `getShapeProperties()` Return the shape specific (visual) properties
    `protected org.openxmlformats.schemas.drawingml.x2006.main.CTTransform2D` | `getXfrm(boolean create)` background does not have a associated transform, therefore we return null
    `void` | `setFillColor(java.awt.Color color)` Specifies a solid color fill.
    `void` | `setPlaceholder(Placeholder placeholder)` Specifies that the corresponding shape should be represented by the generating application as a placeholder.

    - ### Methods inherited from class org.apache.poi.xslf.usermodel.XSLFSimpleShape

      `createHyperlink, getAdjustValue, getFillColor, getFillStyle, getFlipHorizontal, getFlipVertical, getGeometry, getHyperlink, getLineCap, getLineColor, getLineCompound, getLineDash, getLineDecoration, getLineHeadDecoration, getLineHeadLength, getLineHeadWidth, getLinePaint, getLineTailDecoration, getLineTailLength, getLineTailWidth, getLineWidth, getRotation, getShadow, getShapeType, getStrokeStyle, setAnchor, setFlipHorizontal, setFlipVertical, setLineCap, setLineColor, setLineCompound, setLineDash, setLineHeadDecoration, setLineHeadLength, setLineHeadWidth, setLineTailDecoration, setLineTailLength, setLineTailWidth, setLineWidth, setRotation, setShapeType, setStrokeStyle`

    - ### Methods inherited from class org.apache.poi.xslf.usermodel.XSLFShape

      `draw, fetchShapeProperty, getBgPr, getBgRef, getChild, getCNvPr, getFillPaint, getGrpSpPr, getParent, getPlaceholder, getPlaceholderDetails, getShapeId, getShapeName, getSheet, getSpStyle, getXmlObject, isPlaceholder, selectPaint, selectPaint, selectPaint, selectPaint, selectPaint, selectProperty, selectProperty, setParent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.poi.sl.usermodel.Background

      `getFillStyle`

    - ### Methods inherited from interface org.apache.poi.sl.usermodel.Shape

      `draw, getParent, getShapeId, getShapeName, getSheet`

    - ### Methods inherited from interface org.apache.poi.sl.usermodel.SimpleShape

      `getPlaceholder, getPlaceholderDetails, isPlaceholder`

    - ### Methods inherited from interface org.apache.poi.sl.usermodel.PlaceableShape

      `getParent, getSheet`

- - ### Method Detail

    - #### getAnchor

          public java.awt.geom.Rectangle2D getAnchor()

      Description copied from interface: `Shape`
      Returns the anchor (the bounding box rectangle) of this shape. All coordinates are expressed in points (72 dpi).
      Specified by:
        `getAnchor` in interface `PlaceableShape<XSLFShape,XSLFTextParagraph>`
      Specified by:
        `getAnchor` in interface `Shape<XSLFShape,XSLFTextParagraph>`
      Overrides:
        `getAnchor` in class `XSLFSimpleShape`
      Returns:
        the anchor of this shape

    - #### getXfrm

          protected org.openxmlformats.schemas.drawingml.x2006.main.CTTransform2D getXfrm(boolean create)

      background does not have a associated transform, therefore we return null
      Overrides:
        `getXfrm` in class `XSLFSimpleShape`
      Parameters:
        `create` - ignored
      Returns:
        null

    - #### setPlaceholder

          public void setPlaceholder(Placeholder placeholder)

      Description copied from interface: `SimpleShape`
      Specifies that the corresponding shape should be represented by the generating application as a placeholder. When a shape is considered a placeholder by the generating application it can have special properties to alert the user that they may enter content into the shape.
      Specified by:
        `setPlaceholder` in interface `SimpleShape<XSLFShape,XSLFTextParagraph>`
      Overrides:
        `setPlaceholder` in class `XSLFShape`
      Parameters:
        `placeholder` - the placeholder or null to remove the reference to the placeholder
      See Also:
        `PlaceholderDetails.setPlaceholder(Placeholder)`

    - #### getBgPr

          protected org.openxmlformats.schemas.presentationml.x2006.main.CTBackgroundProperties getBgPr(boolean create)

    - #### setFillColor

          public void setFillColor(java.awt.Color color)

      Description copied from interface: `SimpleShape`
      Specifies a solid color fill. The shape is filled entirely with the specified color.
      Specified by:
        `setFillColor` in interface `SimpleShape<XSLFShape,XSLFTextParagraph>`
      Overrides:
        `setFillColor` in class `XSLFSimpleShape`
      Parameters:
        `color` - the solid color fill. The value of `null` unsets the solid fill attribute from the underlying implementation

    - #### getShapeProperties

          protected org.apache.xmlbeans.XmlObject getShapeProperties()

      Description copied from class: `XSLFShape`
      Return the shape specific (visual) properties
      Overrides:
        `getShapeProperties` in class `XSLFShape`
      Returns:
        the shape specific properties

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.